server_tokens off;

server {
    listen       8080;
    server_name  localhost;

    location / {
        root   /usr/share/nginx/html;
        index  index.html index.htm;
        try_files $uri $uri/ /index.html;
    }

    location = /index.html {
        add_header Cache-Control "max-age=0, no-cache, no-store, must-revalidate" always;
        add_header Pragma "no-cache" always;
        root   /usr/share/nginx/html;
    }

    error_page   404  /404.html;
    location = /404.html {
        root   /usr/share/nginx/html;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }
}
